/*
 File: knu1_sick.cpp
 Date and Time: Fri Oct  3 14:30:08 2014 
*/
#include "knu1_sick.h"
using namespace NS_yacco2_T_enum;// enumerate
using namespace NS_yacco2_err_symbols;// error symbols
using namespace NS_yacco2_k_symbols;// lrk 
using namespace NS_yacco2_terminals;// terminals
using namespace NS_yacco2_characters;// rc 
using namespace yacco2;// yacco2 library
using namespace NS_knu1_sick;// grammar's ns
// first set terminals
fsm_rules_reuse_table_type::fsm_rules_reuse_table_type(){
 no_rules_entries_ = 4;
 per_rule_s_table_[0] =  new Per_rule_s_reuse_table();
 per_rule_s_table_[1] =  new Per_rule_s_reuse_table();
 per_rule_s_table_[2] =  new Per_rule_s_reuse_table();
 per_rule_s_table_[3] =  new Per_rule_s_reuse_table();
}
  Cknu1_sick::
  Cknu1_sick()
    :yacco2::CAbs_fsm
      ("knu1_sick.lex"
      ,"1.0"
      ,"23 oct 2008"
      ,true
      ,"knuth grammar (24) --- modified as not lr1 on rt recursion cycling"
      ,"Fri Oct  3 14:30:08 2014 "
      ,S1_Cknu1_sick){
    
  }
 
Cknu1_sick::~Cknu1_sick(){

  for(int x = 0;x < 4;++x){
   ///delete fsm_rules_reuse_table.per_rule_s_table_[x];
  }
} 

  bool Cknu1_sick::failed(){
      return false;
  }
  void Cknu1_sick::op(){
}
int Cknu1_sick::rhs_to_rules_mapping_[9] = {
 -1
 ,0 // subrule 1 for rule 1
 ,1 // subrule 2 for rule 2
 ,1 // subrule 3 for rule 2
 ,1 // subrule 4 for rule 2
 ,2 // subrule 5 for rule 3
 ,2 // subrule 6 for rule 3
 ,3 // subrule 7 for rule 4
 ,3 // subrule 8 for rule 4
}; 
Rstart::Rstart(yacco2::Parser* P)
 :CAbs_lr1_sym
  ("Rstart",0,Cknu1_sick::R_Rstart_,P,false,false){
}

RS::RS(yacco2::Parser* P)
 :CAbs_lr1_sym
  ("RS",0,Cknu1_sick::R_RS_,P,false,false){
}

RA::RA(yacco2::Parser* P)
 :CAbs_lr1_sym
  ("RA",0,Cknu1_sick::R_RA_,P,false,false){
}

RB::RB(yacco2::Parser* P)
 :CAbs_lr1_sym
  ("RB",0,Cknu1_sick::R_RB_,P,false,false){
}

